%define major       20
%define libname     %mklibname %{name} %{major}
%define develname   %mklibname %{name} -d

Name:		xml-security-c
Version:	2.0.4
Release:	%mkrel 2
Summary:	C++ Implementation of W3C security standards for XML
Group:		System/Libraries
License:	ASL 2.0
URL:		https://santuario.apache.org/cindex.html
Source0:	https://ftp.wayne.edu/apache/santuario/c-library/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(xerces-c)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	xalan-c-devel

%description
The xml-security-c library is a C++ implementation of the XML Digital Signature
specification. The library makes use of the Apache XML project's Xerces-C XML
Parser and Xalan-C XSLT processor. The latter is used for processing XPath and
XSLT transforms.

%package -n %{libname}
Summary:	C++ Implementation of W3C security standards for XML
Group:          System/Libraries

%description -n %{libname}
The xml-security-c library is a C++ implementation of the XML Digital Signature
specification. The library makes use of the Apache XML project's Xerces-C XML
Parser and Xalan-C XSLT processor. The latter is used for processing XPath and
XSLT transforms.

This package contains the shared xml-security-c library.

%package -n %{develname}
Summary:	Development files for xml-security-c
Group:          Development/C++
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
The xml-security-c library is a C++ implementation of the XML Digital Signature
specification. The library makes use of the Apache XML project's Xerces-C XML
Parser and Xalan-C XSLT processor. The latter is used for processing XPath and
XSLT transforms.

This package contains development files for xml-security-c.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%check
# Verify that what was compiled actually works.
./xsec/xsec-xtest

%install
%make_install

# We do not ship .la files.
find %{buildroot} -name '*.la' -delete

# Do not ship library test utilities. These are only needed for
# xml-security-c developers and they should have the whole source anyway.
rm -rf %{buildroot}%{_bindir}

%files -n %{libname}
%doc CHANGELOG.txt NOTICE.txt
%license LICENSE.txt
%{_libdir}/libxml-security-c.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/xsec
%{_libdir}/pkgconfig/xml-security-c.pc
%{_libdir}/libxml-security-c.so


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.0.4-2.mga10
+ Revision: 2217360
- Mageia 10 Mass Rebuild

* Tue Jan 10 2023 daviddavid <daviddavid> 2.0.4-1.mga9
+ Revision: 1932031
- new version: 2.0.4
- remove merged upstream patch

* Fri Apr 01 2022 umeabot <umeabot> 2.0.2-6.mga9
+ Revision: 1837943
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 2.0.2-5.mga9
+ Revision: 1748488
- rebuild for openssl 3.0.0

* Mon Dec 14 2020 luigiwalser <luigiwalser> 2.0.2-4.mga8
+ Revision: 1657455
- call autoreconf to try to fix build
- Work around removed XALAN_USING_XALAN compatibility macro in xalan-c 1.12 (from fedora)
- rebuild for xalan-c

* Fri Feb 14 2020 umeabot <umeabot> 2.0.2-2.mga8
+ Revision: 1520247
- Mageia 8 Mass Rebuild

* Wed Nov 14 2018 sander85 <sander85> 2.0.2-1.mga7
+ Revision: 1329949
- New version: 2.0.2

* Sun Sep 23 2018 umeabot <umeabot> 2.0.1-2.mga7
+ Revision: 1301939
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 guillomovitch <guillomovitch> 2.0.1-1.mga7
+ Revision: 1252495
- new version 2.0.1
- add xalana-c support
- proper libification

* Sat Aug 18 2018 daviddavid <daviddavid> 1.7.3-4.mga7
+ Revision: 1252462
- rebuild for new xerces-c 3.2.1

* Wed Sep 06 2017 cjw <cjw> 1.7.3-3.mga7
+ Revision: 1151600
- rebuild for openssl 1.1
- add two patches from fedora to fix build

* Fri Feb 12 2016 umeabot <umeabot> 1.7.3-2.mga6
+ Revision: 959339
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 1.7.3-1.mga6
+ Revision: 844684
- New version: 1.7.3

* Wed Oct 15 2014 umeabot <umeabot> 1.7.2-4.mga5
+ Revision: 748994
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.2-3.mga5
+ Revision: 690699
- Mageia 5 Mass Rebuild
+ sander85 <sander85>
- Convert to %%autosetup

* Sat Oct 19 2013 umeabot <umeabot> 1.7.2-2.mga4
+ Revision: 528799
- Mageia 4 Mass Rebuild

* Thu Jun 27 2013 oden <oden> 1.7.2-1.mga4
+ Revision: 447549
- 1.7.2 (fixes CVE-2013-2210)
- note: 1.7.1 fixed CVE-2013-2153, 2154, 2155, 2156

* Tue Jun 18 2013 sander85 <sander85> 1.7.1-1.mga4
+ Revision: 444705
- New version: 1.7.1

* Mon Jan 14 2013 umeabot <umeabot> 1.7.0-2.mga3
+ Revision: 387156
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 sander85 <sander85> 1.7.0-1.mga3
+ Revision: 295327
- New version: 1.7.0
- clean spec

* Fri Jul 08 2011 sander85 <sander85> 1.6.1-1.mga2
+ Revision: 120236
- new version: 1.6.1

* Fri Apr 22 2011 sander85 <sander85> 1.6.0-1.mga1
+ Revision: 89762
- new version 1.6.0
- imported package xml-security-c


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-4mdv2011.0
+ Revision: 615681
- the mass rebuild of 2010.1 packages

* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 1.5.1-3mdv2010.1
+ Revision: 533624
- rebuild

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 1.5.1-2mdv2010.1
+ Revision: 499659
- rebuild

* Wed Dec 16 2009 Sander Lepik <sander85@mandriva.org> 1.5.1-1mdv2010.1
+ Revision: 479581
- spec corrected
- import xml-security-c


* Fri Nov 20 2009 Sander Lepik <sander.lepik@eesti.ee> - 1.5.1
- Initial release for Mandriva

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.5.1-2
- rebuilt with new openssl

* Tue Jul 28 2009 Antti Andreimann <Antti.Andreimann@mail.ee> 1.5.1-1
- New upstream relase (#513078)
- Fixes CVE-2009-0217 (#511915)

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 06 2009 Antti Andreimann <Antti.Andreimann@mail.ee> - 1.5.0-1
- New upstream release

* Tue Apr 28 2009 Antti Andreimann <Antti.Andreimann@mail.ee> - 1.4.0-2
- Execute sed magic against configure instead of configure.ac to 
  avoid calling autotools
- Removed build dependency on autotools.
- Do not ship test binaries (not needed for end-users)
- Added proper dependencies for devel sub-package
- Added CPPROG="cp -p" to preserve header file timestamps.

* Mon Mar 30 2009 Antti Andreimann <Antti.Andreimann@mail.ee> - 1.4.0-1
- Initial RPM release.

